Bug 834803 - Update of pcsc-lite does not fix problems addressed in BUG 812469
Update of pcsc-lite does not fix problems addressed in BUG 812469
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pcsc-lite (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Bob Relyea
Asha Akkiangady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 14:30 EDT by o.h.weiergraeber
Modified: 2013-02-21 06:00 EST (History)
2 users (show)

See Also:
Fixed In Version: pcsc-lite-1.5.2-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 06:00:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description o.h.weiergraeber 2012-06-23 14:30:43 EDT
Description of problem:
The updated pcsc-lite packages included in RHEL 6.3 are supposed to fix BUG 812469. (See http://rhn.redhat.com/errata/RHBA-2012-0990.html)
However, I found that updating a RHEL 6.2 system to 6.3 does NOT fix any of these issues at all!
This is because both the chkconfig settings and the startup files in /etc/rc.d/rc*.d are left untouched during the update.
Only after manually uninstalling and reinstalling pcsc-lite the correct settings became effective and the problems were solved.

Version-Release number of selected component (if applicable):
pcsc-lite-1.5.2-7.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Update RHEL 6.2 system affected by BUG 812469
2. Observe messages associated with pcscd
  
Actual results:
Bug is still present.

Expected results:
Bus should be resolved.

Additional info:
Comment 2 Bob Relyea 2012-07-11 19:54:02 EDT
What happens if you do:

/sbin/service pcscd stop
/sbin/chkconfig --del pcscd
/sbin/chkconfig --add pcscd
/sbin/service pcscd start
Comment 3 o.h.weiergraeber 2012-07-13 03:59:23 EDT
Yes, these commands seem to fix the issue.

Tested this on CentOS 6.3 since my RHEL 6.3 system has already been fixed by uninstalling-reinstalling the package (see above).

So these commands were either not included in the postinstall script, or were not executed for some reason.
Comment 6 Asha Akkiangady 2012-12-12 11:44:09 EST
Tested this by updating a RHEL 6.2 client to RHEL 6.4, both the chkconfig settings and the startup files in /etc/rc.d/rc*.d are updated with the fixes.

[root@local]#  cat /etc/redhat-release 
Red Hat Enterprise Linux Client release 6.2 (Santiago)
[root@local]# rpm -qf /etc/init.d/pcscd /etc/init.d/haldaemon
pcsc-lite-1.5.2-6.el6.i686
hal-0.5.14-11.el6.i686
[root@local]# grep '# chkconfig' /etc/init.d/pcscd /etc/init.d/haldaemon
/etc/init.d/pcscd:# chkconfig:   2345 25 88
/etc/init.d/haldaemon:# chkconfig: 345 26 74
[root@local]# ls -l /etc/rc.d/rc*/*pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 09:38 /etc/rc.d/rc0.d/K74pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 09:38 /etc/rc.d/rc1.d/K74pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 09:38 /etc/rc.d/rc2.d/S26pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 09:38 /etc/rc.d/rc3.d/S26pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 09:38 /etc/rc.d/rc4.d/S26pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 09:38 /etc/rc.d/rc5.d/S26pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 09:38 /etc/rc.d/rc6.d/K74pcscd -> ../init.d/pcscd

[root@local]# ls -l /etc/rc.d/rc*/*haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc0.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc1.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc2.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc3.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc4.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc5.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc6.d/K74haldaemon -> ../init.d/haldaemon


After upgrading to RHEL 6.4:

[root@local]# cat /etc/redhat-release
Red Hat Enterprise Linux Client release 6.4 Beta (Santiago)
[root@local]# rpm -qf /etc/init.d/pcscd /etc/init.d/haldaemon
pcsc-lite-1.5.2-10.el6.i686
hal-0.5.14-11.el6.i686
[root@local]# grep '# chkconfig' /etc/init.d/pcscd /etc/init.d/haldaemon
/etc/init.d/pcscd:# chkconfig:   345 27 88
/etc/init.d/haldaemon:# chkconfig: 345 26 74
[root@local]# ls -l /etc/rc.d/rc*/*pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 11:09 /etc/rc.d/rc0.d/K87pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 11:09 /etc/rc.d/rc1.d/K87pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 11:09 /etc/rc.d/rc2.d/S27pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 11:09 /etc/rc.d/rc3.d/S27pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 11:09 /etc/rc.d/rc4.d/S27pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 11:09 /etc/rc.d/rc5.d/S27pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 11:09 /etc/rc.d/rc6.d/K87pcscd -> ../init.d/pcscd
[root@local]# ls -l /etc/rc.d/rc*/*haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc0.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc1.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc2.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc3.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc4.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc5.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 11 17:35 /etc/rc.d/rc6.d/K74haldaemon -> ../init.d/haldaemon


pcscd starts automatically at boot.


Moving bug to verified.
Comment 7 Asha Akkiangady 2012-12-12 15:05:25 EST
Also tested RHEL 6.2 desktop to RHEL 6.3 update (pcsc-lite-1.5.2-6.el6 to pcsc-lite-1.5.2-7.el6) and then upgrade to RHEL 6.4 (pcsc-lite-1.5.2-10.el6), chkconfig settings and the startup files in /etc/rc.d/rc*.d are updated properly and pcscd starts automatically at boot.

[root@local]# cat /etc/redhat-release 
Red Hat Enterprise Linux Client release 6.2 (Santiago)
[root@local]# rpm -qf /etc/init.d/pcscd /etc/init.d/haldaemon
pcsc-lite-1.5.2-6.el6.i686
hal-0.5.14-11.el6.i686
[root@local]# grep '# chkconfig' /etc/init.d/pcscd  /etc/init.d/haldaemon
/etc/init.d/pcscd:# chkconfig:   2345 25 88
/etc/init.d/haldaemon:# chkconfig: 345 26 74
[root@local]# ls -l /etc/rc.d/rc*/*pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 12:37 /etc/rc.d/rc0.d/K74pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 12:37 /etc/rc.d/rc1.d/K74pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 12:37 /etc/rc.d/rc2.d/S26pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 12:37 /etc/rc.d/rc3.d/S26pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 12:37 /etc/rc.d/rc4.d/S26pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 12:37 /etc/rc.d/rc5.d/S26pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 12:37 /etc/rc.d/rc6.d/K74pcscd -> ../init.d/pcscd
[root@local]# ls -l /etc/rc.d/rc*/*haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc0.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc1.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc2.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc3.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc4.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc5.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc6.d/K74haldaemon -> ../init.d/haldaemon

After upgrading to RHEL 6.3 using yum -y update :

[root@local]# cat /etc/redhat-release 
Red Hat Enterprise Linux Client release 6.3 (Santiago)
[root@local]# rpm -qf /etc/init.d/pcscd /etc/init.d/haldaemon
pcsc-lite-1.5.2-7.el6.i686
hal-0.5.14-11.el6.i686
[root@local]# grep '# chkconfig' /etc/init.d/pcscd  /etc/init.d/haldaemon /etc/init.d/netfs
/etc/init.d/pcscd:# chkconfig:   345 25 88
/etc/init.d/haldaemon:# chkconfig: 345 26 74
/etc/init.d/netfs:# chkconfig: 345 25 75
[root@local]# ls -l /etc/rc.d/rc*/*pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 13:15 /etc/rc.d/rc0.d/K87pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 13:15 /etc/rc.d/rc1.d/K87pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 13:15 /etc/rc.d/rc2.d/S25pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 13:15 /etc/rc.d/rc3.d/S25pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 13:15 /etc/rc.d/rc4.d/S25pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 13:15 /etc/rc.d/rc5.d/S25pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 13:15 /etc/rc.d/rc6.d/K87pcscd -> ../init.d/pcscd
[root@local]# ls -l /etc/rc.d/rc*/*haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc0.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc1.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc2.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc3.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc4.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc5.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc6.d/K74haldaemon -> ../init.d/haldaemon
[root@local]# ls -l /etc/rc.d/rc*/*netfs
lrwxrwxrwx. 1 root root 15 Dec 12 13:07 /etc/rc.d/rc0.d/K75netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 13:07 /etc/rc.d/rc1.d/K75netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 13:07 /etc/rc.d/rc2.d/K75netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 13:07 /etc/rc.d/rc3.d/S25netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 13:07 /etc/rc.d/rc4.d/S25netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 13:07 /etc/rc.d/rc5.d/S25netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 13:07 /etc/rc.d/rc6.d/K75netfs -> ../init.d/netfs

When upgraded to RHEL 6.4:

[root@local]# cat /etc/redhat-release 
Red Hat Enterprise Linux Client release 6.4 Beta (Santiago)
[root@local]# rpm -qf /etc/init.d/pcscd /etc/init.d/haldaemon 
pcsc-lite-1.5.2-10.el6.i686
hal-0.5.14-11.el6.i686
[root@local]# grep '# chkconfig' /etc/init.d/pcscd  /etc/init.d/haldaemon /etc/init.d/netfs
/etc/init.d/pcscd:# chkconfig:   345 27 88
/etc/init.d/haldaemon:# chkconfig: 345 26 74
/etc/init.d/netfs:# chkconfig: 345 25 75
[root@local]# ls -l /etc/rc.d/rc*/*pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 14:41 /etc/rc.d/rc0.d/K87pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 14:41 /etc/rc.d/rc1.d/K87pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 14:41 /etc/rc.d/rc2.d/S27pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 14:41 /etc/rc.d/rc3.d/S27pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 14:41 /etc/rc.d/rc4.d/S27pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 14:41 /etc/rc.d/rc5.d/S27pcscd -> ../init.d/pcscd
lrwxrwxrwx. 1 root root 15 Dec 12 14:41 /etc/rc.d/rc6.d/K87pcscd -> ../init.d/pcscd
[root@local]# ls -l /etc/rc.d/rc*/*haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc0.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc1.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc2.d/K74haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc3.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc4.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc5.d/S26haldaemon -> ../init.d/haldaemon
lrwxrwxrwx. 1 root root 19 Dec 12 12:14 /etc/rc.d/rc6.d/K74haldaemon -> ../init.d/haldaemon
[root@local]# ls -l /etc/rc.d/rc*/*netfs
lrwxrwxrwx. 1 root root 15 Dec 12 14:27 /etc/rc.d/rc0.d/K75netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 14:27 /etc/rc.d/rc1.d/K75netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 14:27 /etc/rc.d/rc2.d/K75netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 14:27 /etc/rc.d/rc3.d/S25netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 14:27 /etc/rc.d/rc4.d/S25netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 14:27 /etc/rc.d/rc5.d/S25netfs -> ../init.d/netfs
lrwxrwxrwx. 1 root root 15 Dec 12 14:27 /etc/rc.d/rc6.d/K75netfs -> ../init.d/netfs
Comment 8 errata-xmlrpc 2013-02-21 06:00:28 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0525.html

Note You need to log in before you can comment on or make changes to this bug.